label cook_0:
  show w oh with dissolve
  w "Oh, hey, [player]."
  show w talk blush with dissolve
  w "Do you need me for anything?"
  m "No, actually, I was thinking if you could use any help."
  w "Could you help me prepare the batter, then?"
  m "Sure!"
  w "I'll leave it to you!"
  hide w with dissolve
  "You cracked a few eggs into a bowl and started whisking them."
  m "(This mixture is getting thin... is that a good sign?)"
  m "Hey, William, does this look alright?"
  show w oh with dissolve
  w "Let me take a look."
  show w ec shy with dissolve
  w "Ehm... "
  m "You can be honest, it's not like I'm not going to fire you if you don't compliment it."
  w "I think you mixed it a little too much."
  show w oh with dissolve
  w "Oh, but I can still use it. Just keep in mind that the proteins will separate if you abuse it too much."
  m "You know so much about cooking."
  show w shy with dissolve
  w "Ahaha, not really. I still have much to learn."
  menu:
    "Tease him":
      m "Maybe I'll promote you if you keep up the good work."
      m "I {i}am{/i} the temporary boss, after all."
      show w ec talk with dissolve
      w "Aye aye, ma'am!"
      w "Well, I should get back to work, then, if I want that promotion."
      hide w with dissolve
      return
    "Ask him to teach you" if not route:
      $ route = 'william'
      m "Maybe you could teach me to cook better."
      m "Two chefs in the kitchen are better than one, no?"
      show w ec shy with dissolve
      w "I'm not sure if I'm qualified to-"
      menu:
        "Even so...":
          m "Even so, I still want to learn!"
        "You are!":
          $ wp += 1
          m "You are! You're an amazing patissier!"
          m "My dad didn't hire you for nothing, right?"
          show w shy with dissolve
          w "But-"
          m "I mean, I'm sure that you're much better than I am."
          m "Which means I definitely can learn from you."
      show w ec shy with dissolve
      w "Ah, but..."
      m "I won't slack off, I promise!"
      show w oh with dissolve
      w "I know, it's just..."
      m "Please?"
      show w talk blush with dissolve
      w "Alright, alright, I'll teach you."
      w "Why don't we start with flan cake?"
      m "Yessir!"
      return
      
label DAY_5:
  play music "Soft.mp3" fadein 2.0
  show w oh with dissolve
  w "Our ingredients are running low. I need to take a trip to our suppliers and purchase some."
  show w talk blush with dissolve
  w "Do you want to come with me?"
  menu:
    m "Well..."
    "Sure, why not!" if route == "william":
      $ wentshopping = True
      $ wp += 1
      show w ec blush with dissolve
      w "Alright, let's go!"
      scene bg shop front with dissolve
      pause 0.5
      scene bg shopping with dissolve
      m "Woah, it's so busy here!"
      show w smile with dissolve
      w "It is, isn't it?"
      m "Well, then, where are we going?"
      if wp > 2:
        show w ec talk with dissolve 
        w "If it's you, I'm sure you'll find out on your own."
        m "Wait, what do you mean?"
      else:
        show w talk with dissolve
        w "Follow your nose!"
      hide w with moveoutright
      m "(William-!)"
      m "(He's fast! I lost sight of him already.)"
      m "(What should I do?!)"
      stop music fadeout 0.5
      pause 0.5
      play music "Neutral.mp3" fadein 2.0
      m "(Huh? Where's this fragrant smell coming from?)"
      scene bg bakery with dissolve
      #TODO: Draw? meh
      "You see a person who is most definitely clothed up ahead."
      show person smile with dissolve
      "Shopkeep" "Welcome! How may I help you?"
      m "Ah, have you seen a person in a chef's coat around?"
      show person talk with dissolve
      "Shopkeep" "Oh, are you the one with him?"
      show person talk at right with dissolve
      show w ec talk at left with dissolve
      w "Hey, [player]! You didn't get too lost, did you?"
      menu:
        m "William!"
        "Don't scare me" if wp > 2:
          $ wp += 1
          m "Don't leave me like that ever again, alright?"
          show w shock
          show person shock with hpunch
          w "Huh?"
          show person talk with dissolve
          "Shopkeep" "She's a natural charmer, eh?"
          m "Ah... um. I- I mean..."
          show w shy with dissolve
          w "No, it's alright."
          show w ec talk with dissolve
          $ wp += 1
          w "I won't."
        "You're too reckless":
          m "What if I really did get lost?"
          show w ec shy with dissolve
          w "Haha, sorry."
      "Shopkeep" "Anyway, are you here for your usual shipment?"
      show w talk with dissolve
      w "Yeah."
      "Shopkeep" "Here you go."
      show person smile with dissolve
      "Shopkeep" "William, is she your girlfriend-{nw}"
      if wp > 3:
        show w ec shy with dissolve
        w "Let's go!"
        hide w with moveoutleft
        m "Ah, wait for me!"
      else:
        show w oh with dissolve
        w "She's my boss."
        "Shopkeep" "Ah."
        "Shopkeep" "Well, it was nice doing business with you."
      scene bg shopping with dissolve
      pause 0.5
      scene bg shop front with dissolve
      pause 0.5
      scene bg shop with dissolve
      show w ec talk with dissolve
      w "Well, that was eventful."
      show w talk blush with dissolve
      w "I'll go restock our kitchen, then."
      hide w with dissolve
      
    "I need to stay here":
      m "If both of us are gone, who'll watch over the shop?"
      show w oh with dissolve
      w "Oh right, okay."
      show w talk with dissolve
      w "Well, I'm off!"
      hide w with dissolve
  return
      
label cook_day5:
  if wentshopping:
    m "(Hm, I don't see William here.)"
    m "(Maybe he's taking the rest of the day off.)"
  else:
    m "(William went out to do some shopping.)"
    m "(I guess it's just me here today, then...)"
  "You tinkered with the recipes for awhile."
  return
  
label cook_day13:
  play music "Soft.mp3" fadein 2.0
  show w oh with dissolve
  w "Are you sure you should be in here instead of greeting that journalist?"
  if route == "william":
    $ wp += 1
    m "Nah, I'd rather be here. There's too much of a commotion outside, that part-timer can handle him."
  else:
    m "Hm, maybe I should. But that journalist is reviewing our pastries, right?"
    m "So I came here to personally prepare it."
  show w shy with dissolve
  w "Well, alright."
  show w ec talk with dissolve
  w "Let's get to work then!"
  return
    
label cook_1:
  play music "Soft.mp3" fadein 2.0
  scene kitchen with dissolve
  show w talk with dissolve
  w "Hello, [player]."
  if route == "william":
    show w oh with dissolve
    w "Are you here for your lesson?"
    m "Yessir!"
    show w shy with dissolve
    w "Haha. No need to be so formal."
    show w talk blush with dissolve
    w "Well, let's get started, then!"
    hide w with dissolve
    "You ended up spending the day creating a chocolate fondue cake."
    menu:
      "Looking at this makes me hungry":
        $ wp += 1
        m "(It looks so good... I want some!)"
        show w talk blush with dissolve
        w "If there's still some left after we close, you can have some."
        m "Aah, but this looks so delicious, it's definitely going to sell out!"
        show w smile with dissolve
        w "In that case... "
        show w ec talk with dissolve
        extend "we'll just have to make more, right?"
        m "Really? William, you're the best!"
        show w shy with dissolve
        w "Haha, thanks."
      "Better leave some for the customers...":
        m "(I have to control myself. I'm the shop owner, after all.)"
  else:
    m "How can I help?"
    show w oh with dissolve
    w "Could you help prepare the batter again?"
    m "On it!"
    show w ec talk with dissolve
    w "Thanks!"
    if day < 10:
      show w shy with dissolve
      w "Come visit me more often, okay?"
  return
  
label cook_3:
  play music "Soft.mp3" fadein 2.0
  show w smile with dissolve
  if route == "william":
    m "Good morning. So what will it be today?"
    show w ec talk with dissolve
    w "Today, we're making meringue cake!"
    show w talk blush with dissolve
    w "It has a lot of steps and needs lengthy preparation, so follow my instructions carefully, okay?"
    m "Yessir!"
  else:
    m "How's the cooking going, William?"
    show w talk with dissolve
    w "Oh, it's going alright."
    w "Do you want to help with the batter again?"
    m "Sure, why not."
  return
  
label cook_4:
  play music "Soft.mp3" fadein 2.0
  m "Oh, what's that?"
  if route == "william":
    show w ec talk with dissolve
    w "Want some?"
    m "Sure, thanks!"
    m "*crunch, crunch*"
    m "This is really good!"
    show w ec talk with dissolve
    w "I thought you might like it."
    show w smile with dissolve
    w "Anyway, that will be what we're making today."
    w "It's called a baklava, and it originates from Greece."
    show w talk blush with dissolve
    w "It's a little more difficult to make, but I think you can handle it."
    menu:
      m "Of course I can!"
      "Because I'm awesome":
        show w ec talk with dissolve
        w "You are!"
      "Because of you":
        $ wp += 1
        m "You're the one teaching me, after all."
        show w ec shy with dissolve
        w "I can't take all the credit."
        show w smile with dissolve
        w "It's the effort that you put in that'll make this baklava taste even better!"
    show w oh with dissolve
    w "Alright, so first, we have to grind these cloves..."
    
  else:
    show w talk with dissolve
    w "It's a baklava, ever hear of it?"
    w "I'm planning on adding more diverse foods into our menu."
    show w smile with dissolve
    w "We'll definitely be able to beat that sweets shop with this!"
    m "Ah, I see."
    m "Keep up the good work!"
  return
  
label cook_5:
  play music "Soft.mp3" fadein 2.0
  show w shy with dissolve
  w "You know, [player]..."
  w "I might not be able to teach you anymore."
  m "Wait, why?"
  show w ec shy with dissolve
  w "Well, put simply...{p} You've surpassed me."
  m "I've what? This quickly?"
  m "You must be a really good teacher."
  show w shy with dissolve
  w "Give yourself some credit, you have a talent for cooking."
  show w ec talk with dissolve
  w "You are his daughter, after all."
  m "But-"
  show w shy with dissolve
  w "You're welcome in the kitchen anytime."
  m "William..."
  if wp > 3:
    w "To be honest, I'm a little jealous."
    w "But I don't want to hold you back."
  m "Can you promise me something, then?"
  show w oh with dissolve
  w "Of course!"
  m "If you come across anything new, will you teach me that, then?"
  w "I'll make sure to."
  show w talk with dissolve
  w "Enough of that, let's get down to work!"
  m "Okay..."
  $ wroute_finished = True
  return
